/**
 * Created by ztt on 2018/9/21.
 */
export declare class ArrayUtils {
    /**
     * 移除一个元素
     * @param array
     * @param value
     * @param key
     * @returns {any}
     */
    static remove(array: any, value: any, key?: string): any;
    /**
     * 获取一个元素
     * @param array
     * @param value
     * @param key
     * @returns {any}
     */
    static get(array: any, value: any, id?: string, childKey?: string): any;
    /**
     是否是个有效的数组对象，有则返回第一个子元素，否则返回false
     @param array
     @returns {boolean|boolean}
     */
    static valid(array: any): any;
    /**
     * 增加一个元素
     * @param array：被操作的数组
     * @param obj：被添加的子数据
     * @param idKey：对象的唯一索引key
     * @param pIdKey：父对象的唯一索引key
     * @param childKey：子对象的唯一索引key
     * @returns {any}
     */
    static addByParentId(array: any, obj: any, idKey: string, pIdKey: string, childKey: string): boolean;
    static updateKey(datas: any, keys: Object, fun?: Function): any;
    static validArray(array: any): boolean | undefined;
    static validObject(obj: any): boolean;
}
//# sourceMappingURL=array-utils.d.ts.map